{ pkgs, ... }:
let
  inherit ((import ../common.nix).colorschemes) solarized;
in
{
  programs.mako = {
    enable = true;

    backgroundColor = solarized.base03;
    borderColor = solarized.base02;
    textColor = solarized.base0;
    progressColor = "over ${solarized.base02}";

    groupBy = "app-name";

    defaultTimeout = 5000;

    extraConfig = ''
      [urgency=critical]
      text-color=#dc322f
      ignore-timeout=true
      default-timeout=0
    '';
  };

  systemd.user.services.mako = {
    Unit.PartOf = [ "sway-session.target" ];
    Install.WantedBy = [ "sway-session.target" ];

    Service = {
      ExecStart = "${pkgs.mako}/bin/mako";
      Restart = "on-failure";
    };
  };
}
